Subject: Re: AERO/OMNI dropping support for SEND/CGA

From: "Templin (US), Fred L" <[email-masked]>
Date: Thu, 3 Dec 2020 16:57:57 +0000

Behcet, thanks for the suggestion but I like the drafts we already have and I think an
engaged reader would come to like them as well. A reboot at this phase is not going
to happen.

Fred

From: Behcet Sarikaya [mailto:[email-masked]]
Sent: Thursday, December 03, 2020 8:04 AM
To: Templin (US), Fred L <[email-masked]>
Cc: [email-masked]
Subject: Re: [EXTERNAL] Re: AERO/OMNI dropping support for SEND/CGA

This message was sent from outside of Boeing. Please do not click links or open attachments unless you recognize the sender and know that the content is safe.

Hi Fred,

What I am observing from the ensuing discussion is that you should consider a reboot of OMNI seriously. I suggest you reorg your drafts, add an architecture draft and start from scratch with -00 drafts.
This could be good time to start that process.

Behcet

On Wed, Dec 2, 2020 at 10:40 AM Templin (US), Fred L <[email-masked]<mailto:[email-masked]>> wrote:
Thanks for the suggestion, Behcet. In terms of architecture, at its most fundamental
level it is simply just the marriage of ISATAP and Teredo. (Well, there is a lot more to
it than just that, but everything builds on top of those principles.)

Fred

From: Behcet Sarikaya [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Wednesday, December 02, 2020 8:10 AM
To: Templin (US), Fred L <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [EXTERNAL] Re: AERO/OMNI dropping support for SEND/CGA

On Tue, Dec 1, 2020 at 12:44 PM Templin (US), Fred L <[email-masked]<mailto:[email-masked]>> wrote:
Behcet,

To be clear, there is now a -52 version of the draft that bows to the pressures
of those who still insist on the /64 boundary. Earlier draft versions can still be
referenced for those who like /65+, but there is strong resistance to using the
54 “zero” bits of fe80::/10 which is where the extra prefix bits would end up
going. I was told that trying to define a use for those bits would be pushing a
“large rock up a hill”, and I have experienced that struggle firsthand.

To your comments, yes an EUN should certainly be added to figure 2 and
adding a packet flow diagram is something that can be done as well. I can’t
give a timeframe for a next draft version but will put this in a TODO note
to myself.

Sure. As I mentioned you could consider separating some parts of this quite large document into an architecture document and protocol document.

Behcet

Behcet
Thanks - Fred

From: Behcet Sarikaya [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Tuesday, December 01, 2020 10:17 AM
To: Templin (US), Fred L <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [EXTERNAL] Re: AERO/OMNI dropping support for SEND/CGA

Hi Fred,

In draft-templin-6man-omni-interface-51

I could not see EUN in Figure 2.
Also a figure showing the flow of packets in the network from source to destination is missing.

Maybe you need an architecture draft to clear these things out.

Behcet

On Mon, Nov 30, 2020 at 4:12 PM Templin (US), Fred L <[email-masked]<mailto:[email-masked]>> wrote:
Folks, this is a big decision point for the AERO/OMNI drafts but I am preparing
to drop support for SEND/CGA (RFC3971; RFC3972). This means that IPv6 ND
message authentication on OMNI interfaces will use a simple HMAC the same
as is done for Teredo (RFC4380; RFC6081). If anyone knows why that might
cause problems, it would be best to speak up now.

Fred

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]<mailto:[email-masked]>
Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Fri, 4 Dec 2020 23:09:21 +0000

Behcet, I did go ahead and nudge the draft again to pick up on your points and
to incorporate a richer Prefix Delegation service which others have been asking
about. Not a complete reboot as you were suggesting, but hopefully enough
to satisfy most readers:

https://datatracker.ietf.org/doc/draft-templin-6man-omni-interface/

Thanks - Fred

From: ipv6 [mailto:[email-masked]] On Behalf Of Templin (US), Fred L
Sent: Thursday, December 03, 2020 8:58 AM
To: [email-masked]
Cc: [email-masked]
Subject: Re: AERO/OMNI dropping support for SEND/CGA

Fred

Hi Fred,

Behcet

Fred

Behcet

Behcet
Thanks - Fred

Hi Fred,

Behcet

Fred

---

From: Behcet Sarikaya <[email-masked]>
Date: Tue, 8 Dec 2020 10:21:33 -0600

> https://datatracker.ietf.org/doc/draft-templin-6man-omni-interface/

Sure. Thanks Fred, this is more workable for me.

Behcet

> Thanks - Fred
>
>
>
> *From:* ipv6 [mailto:[email-masked]] *On Behalf Of *Templin (US),
> Fred L
> *Sent:* Thursday, December 03, 2020 8:58 AM
> *To:* [email-masked]
> *Cc:* [email-masked]
> *Subject:* Re: AERO/OMNI dropping support for SEND/CGA
>
>
>
> *From:* Behcet Sarikaya [mailto:[email-masked]
> <[email-masked]>]
> *Sent:* Thursday, December 03, 2020 8:04 AM
> *To:* Templin (US), Fred L <[email-masked]>
> *Cc:* [email-masked]
> *Subject:* Re: [EXTERNAL] Re: AERO/OMNI dropping support for SEND/CGA
>
>
>
> This message was sent from outside of Boeing. Please do not click links or
> open attachments unless you recognize the sender and know that the content
> is safe.
>
>
>
>
> Hi Fred,
>
>
>
> What I am observing from the ensuing discussion is that you should
> consider a reboot of OMNI seriously. I suggest you reorg your drafts, add
> an architecture draft and start from scratch with -00 drafts.
>
> On Wed, Dec 2, 2020 at 10:40 AM Templin (US), Fred L <
> [email-masked]> wrote:
>
> *From:* Behcet Sarikaya [mailto:[email-masked]]
> *Sent:* Wednesday, December 02, 2020 8:10 AM
> *To:* Templin (US), Fred L <[email-masked]>
> *Cc:* [email-masked]; [email-masked]
> *Subject:* Re: [EXTERNAL] Re: AERO/OMNI dropping support for SEND/CGA
>
>
>
>
>
> On Tue, Dec 1, 2020 at 12:44 PM Templin (US), Fred L <
> [email-masked]> wrote:
>
> Behcet,
>
>
>
> Sure. As I mentioned you could consider separating some parts of this
> quite large document into an architecture document and protocol document.
>
>
>
> Behcet
>
>
>
> Behcet
>
> Thanks - Fred
>
>
>
> *From:* Behcet Sarikaya [mailto:[email-masked]]
> *Sent:* Tuesday, December 01, 2020 10:17 AM
> *To:* Templin (US), Fred L <[email-masked]>
> *Cc:* [email-masked]
> *Subject:* [EXTERNAL] Re: AERO/OMNI dropping support for SEND/CGA
>
>
>
> Hi Fred,
>
>
>
> On Mon, Nov 30, 2020 at 4:12 PM Templin (US), Fred L <
> [email-masked]> wrote:
>
> [email-masked]